.footer {
    z-index: 100;
    padding-top: 40px;
    padding-bottom: 24px;
    color: $primary;
    position: relative;
    background: $gray-light;
    font-size: size-rel(12px);
    line-height: size-rel(22px);

    &__contact {
        margin-bottom: 40px;

        &--worktime {
            color: $secondary;
            font-size: size-rel(12px);
            line-height: size-rel(22px);
        }

        &--phone {
            display: block;
            margin-bottom: 8px;
            text-decoration: none;
            font-weight: 600;
            font-size: size-rel(20px);
            line-height: size-rel(32px);

            &:hover {
                color: $accent;
                text-decoration: none;
            }
        }

        &--callback {
            color: $accent;
            margin-bottom: 25px;
            display: inline-block;
            text-decoration: none;
            font-weight: 600;
            font-size: size-rel(14px);
            line-height: size-rel(22px);

            &:hover {
                color: $primary;
                text-decoration: none;
            }
        }
    }

    &__info {
        margin-bottom: 40px;
        font-size: size-rel(12px);
        line-height: size-rel(22px);

        &--title {
            font-weight: 500;
            margin-bottom: 8px;
        }

        &--address {
            margin-bottom: 24px;

            p {
                margin: 0;
            }
        }

        &--data {

        }

        &--phone {
            color: $primary;
            text-decoration: none;

            &:hover {
                color: $primary;
                text-decoration: none;
            }
        }
    }

    &__content {

        &--row {
            margin-bottom: 40px;
        }

        &--text {
            color: $secondary;

            p {

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }
    }

    &__bottom {
        padding-top: 40px;
    }

    &__nav {
        margin: 0 0 40px 0;
        padding: 0;
        list-style: none;

        &--item {
            margin-bottom: 16px;

            &:last-child {
                margin-bottom: 0;
            }
        }

        &--link {
            color: $accent;
            text-decoration: none;

            &:hover {
                color: $accent;
                text-decoration: none;
            }
        }
    }

    &__copy {
        color: $secondary;
        display: inline-block;
        text-decoration: none;

        &:hover {
            color: $secondary;
            text-decoration: none;
        }
    }

    &__subscribe {
        margin-bottom: 80px;

        &--label {
            font-weight: 500;
            margin-bottom: 10px;
        }
    }

    &__search {

        &--label {
            color: $secondary;
        }

        &--form {
            width: 160px;
        }

        &--input {
            margin: 0;
            width: 100%;
            height: 46px;
            border: none;
            outline: none;
            color: #5b3d38;
            box-shadow: none;
            font-weight: 500;
            font-size: size-rel(14px);
            line-height: size-rel(22px);
            padding: 8px 0 11px 0;
            background: transparent;
            display: inline-block;
            vertical-align: middle;
            border-bottom: 1px solid $gray;
            box-shadow: none;
            border-radius: 0;
            @include placeholder(#909090);

            &::-ms-clear {
                display: none;
                width: 0;
                height: 0;
            }

            &:focus,
            &:active {
                outline: none;
                @include placeholder(transparent);
            }

            &.error {
                border-color: red !important;
            }
        }
    }

    @include media-breakpoint-up(sm) {
        padding-top: 48px;
        padding-bottom: 32px;

        &__main {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }

        &__contact {
            width: 280px;
        }

        &__info {
            width: 290px;
            margin-bottom: 40px;
        }

        &__content {
            width: 100%;

            &--row {
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: space-between;
            }
        }

        &__subscribe {
            width: 280px;
            margin-bottom: 0;
        }

        &__search {
            width: 290px;
        }

        &__bottom {
            padding-top: 24px;
        }

        &__nav {
            margin-bottom: 24px;

            &--item {
                margin-bottom: 8px;

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

    }

    @include media-breakpoint-up(lg) {
        padding-bottom: 24px;

        &__main {
            padding-bottom: 50px;
            flex-wrap: nowrap;
        }

        &__contact {
            width: 240px;
            flex-shrink: 0;
            margin-bottom: 0;
        }

        &__info {
            margin: 0;
            width: 300px;
            flex-shrink: 0;
        }

        &__subscribe {
            width: 300px;
            flex-shrink: 0;
        }

        &__content {
            width: auto;

            &--row {
                margin-bottom: 24px;
            }

            &--text {
                font-size: size-rel(12px);
                line-height: size-rel(22px);
            }
        }

        &__search {
            width: 160px;
            padding-top: 6px;
        }

        &__bottom {
            border-top: 1px solid rgba(129, 130, 133, 0.2);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__nav {
            margin: 0;
            display: flex;
            align-items: center;

            &--item {
                margin: 0 32px 0 0;
            }

            &--link {
                color: $secondary;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            justify-content: flex-start;
        }

        &__contact {
            width: 270px;
        }

        &__info {
            width: 300px;
            flex-grow: 1;
            margin-right: 80px;
        }

        &__content {

            &--row {
                justify-content: flex-start;
            }
        }

        &__subscribe {
            width: 364px;
            margin-right:60px;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__contact {
            width: 366px;
        }

        &__info {
            width: 340px;
            margin-right: 147px;
        }

        &__subscribe {
            margin-right: 247px;
        }
    }
}

.social {
    margin: 0 -8px;
    padding: 0;
    font-size: 0;
    line-height: 0;
    list-style: none;
    display: flex;
    align-items: center;

    &__item {
        padding: 0 8px;
    }

    &__link {
        width: 24px;
        height: 24px;
        display: block;
        position: relative;

        &--color {
            z-index: 10;
            opacity: 1;
            display: block;
            position: relative;
        }

        &--gray {
            top: 0;
            left: 0;
            right: 0;
            z-index: 1;
            opacity: 0;
            position: absolute;
        }

        &:focus,
        &:active {

            .social__link--gray {
                z-index: 10;
                opacity: 1;
            }

            .social__link--color {
                opacity: 0;
                z-index: 1;
            }
        }

        &:hover {

            .social__link--gray {
                z-index: 1;
                opacity: 0;
            }

            .social__link--color {
                opacity: 1;
                z-index: 10;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__link {

            &--color {
                z-index: 1;
                opacity: 0;
            }

            &--gray {
                z-index: 10;
                opacity: 1;
            }

            &:hover {

                .social__link--gray {
                    z-index: 1;
                    opacity: 0;
                }

                .social__link--color {
                    opacity: 1;
                    z-index: 10;
                }
            }
        }
    }
}

.subscribe {
    position: relative;

    &__input {
        margin: 0;
        width: 100%;
        height: 46px;
        outline: none;
        color: #5b3d38;
        box-shadow: none;
        font-weight: 400;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
        padding: 11px 52px 11px 16px;
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        border: 1px solid $gray;
        box-shadow: none;
        border-radius: 0;
        @include placeholder(#909090);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }

        &.error {
            border-color: red !important;
        }
    }

    &__button {
        top: 0;
        right: 0;
        margin: 0;
        padding: 0;
        z-index: 20;
        width: 46px;
        height: 46px;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        display: inline-block;
        position: absolute;
        background: transparent;

        &--primary {
            display: none;
            height: 18px;
            top: calc(50% - 9px);
            left: calc(50% - 9px);
            position: absolute;
        }

        &--second {
            height: 18px;
            top: calc(50% - 9px);
            left: calc(50% - 9px);
            position: absolute;
        }

        svg {
           fill: $gray;
        }
    }
}
